#
# spec file for package ntp
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ntp
BuildRequires:  fdupes libcap-devel openssl-devel readline-devel
# to allow the postinst script to succeed
BuildRequires:  pwdutils
%define ntpfaqversion 3.4
Url:            http://www.ntp.org/
License:        BSD3c(or similar)
Group:          Productivity/Networking/Other
Version:        4.2.6p3
Release:        6.11.1
Summary:        Network Time Protocol daemon (version 4)
# main source
Source0:        http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-4.2/ntp-%{version}.tar.gz
# configuration
Source1:        conf.logrotate.ntp
Source2:        conf.ntp.conf
Source3:        conf.ntp.init
Source4:        conf.sysconfig.ntp
Source5:        conf.sysconfig.syslog-ntp
Source6:        conf.ntp.reg
Source7:        %name.firewall
# documentation
Source10:       NTP-FAQ-%{ntpfaqversion}.tar.bz2
Source11:       ntp.1.gz
Source12:       README.SUSE
Source13:       ntp-4.2.0-rh-manpages.tar.gz
Source14:       ntp.xml
Source15:       ntpdate
Source16:       ntp-wait
Patch1:         ntp-segfault_on_invalid_device.patch
Patch4:         ntpd-maxmonmen.patch
Patch9:         remove-ntpdate.diff
Patch10:        ntp-strcat.patch
Patch11:        ntp-4.2.6p2-seed_file.patch
Patch13:        ntp-code-cleanup.patch 
Patch15:        bnc#506908.diff
Patch16:        MOD_NANO.diff
Patch18:        bnc#574885.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
Provides:       ntp-daemon xntp3 xntp <= 4.2.4p6
Obsoletes:      xntp3 xntp <= 4.2.4p5
Conflicts:      openntpd
PreReq:         pwdutils %insserv_prereq  %fillup_prereq /usr/bin/diff /usr/bin/grep /sbin/chkconfig
Requires:       timezone

%description
The Network Time Protocol (NTP) is used to synchronize the time of a
computer client or server to another server or reference time source,
such as a radio, satellite receiver, or modem.

Ntpd is an operating system daemon that sets and maintains the system
time-of-day synchronized with Internet standard time servers.



Authors:
--------
    Mark Andrews <marka@syd.dms.csiro.au>
    Viraj Bais <vbais@mailman1.intel.com>
    Clayton Kirkwood <kirkwood@striderfm.intel.com>
    Karl Berry <karl@owl.HQ.ileaf.com>
    Piete Brooks <Piete.Brooks@cl.cam.ac.uk>
    Steve Clift <clift@ml.csiro.au>
    Casey Crellin <casey@csc.co.za>
    Torsten Duwe <duwe@immd4.informatik.uni-erlangen.de>
    John A. Dundas III <dundas@salt.jpl.nasa.gov>
    Dennis Ferguson <dennis@mrbill.canet.ca>
    Glenn Hollinger <glenn@herald.usask.ca>
    Mike Iglesias <iglesias@uci.edu>
    Jim Jagielski <jim@jagubox.gsfc.nasa.gov>
    Jeff Johnson <jbj@chatham.usdesign.com>
    William L. Jones <jones@hermes.chpc.utexas.edu>
    Dave Katz <dkatz@cisco.com>
    Craig Leres <leres@ee.lbl.gov>
    George Lindholm <lindholm@ucs.ubc.ca>
    Louis A. Mamakos <louie@ni.umd.edu>
    Derek Mulcahy <derek@toybox.demon.co.uk>
    Damon Hart-Davis <d@hd.org>
    Lars H. Mathiesen <thorinn@diku.dk>
    David L. Mills <mills@udel.edu>
    Wolfgang Moeller <moeller@gwdgv1.dnet.gwdg.de>
    Jeffrey Mogul <mogul@pa.dec.com>
    Tom Moore <tmoore@fievel.daytonoh.ncr.com>
    Rainer Pruy <Rainer.Pruy@informatik.uni-erlangen.de>
    Dirce Richards <dirce@zk3.dec.com>
    Nick Sayer <mrapple@quack.kfu.com>
    Frank Kardel <Frank.Kardel@informatik.uni-erlangen.de>
    Ray Schnitzler <schnitz@unipress.com>
    Michael Shields <shields@tembel.org>
    Jeff Steinman <jss@pebbles.jpl.nasa.gov>
    Harlan Stenn <harlan@pfcs.com>
    Kenneth Stone <ken@sdd.hp.com>
    Ajit Thyagarajan <ajit@ee.udel.edu>
    Tomoaki TSURUOKA <tsuruoka@nc.fukuoka-u.ac.jp>
    Paul A Vixie <vixie@vix.com>
    Ulrich Windl <Ulrich.Windl@rz.uni-regensburg.de>

%package doc
License:        MIT License (or similar)
Group:          Documentation/Other
AutoReqProv:    on
Provides:       ntpdoc xntpdoc xntp-doc = 4.2.4
Obsoletes:      ntpdoc xntpdoc xntp-doc <= 4.2.4
Summary:        Additional Package Documentation for ntp

%description doc
The complete set of documentation for building and configuring an NTP
server or client. The documentation is in the form of HTML files
suitable for browsing and contains links to additional documentation at
various web sites.

What about NTP? Understanding and using the Network Time Protocol (A
first try on a non-technical Mini-HOWTO and FAQ on NTP). Edited by
Ulrich Windl and David Dalton.



Authors:
--------
    Mark Andrews <marka@syd.dms.csiro.au>
    Viraj Bais <vbais@mailman1.intel.com>
    Clayton Kirkwood <kirkwood@striderfm.intel.com>
    Karl Berry <karl@owl.HQ.ileaf.com>
    Piete Brooks <Piete.Brooks@cl.cam.ac.uk>
    Steve Clift <clift@ml.csiro.au>
    Casey Crellin <casey@csc.co.za>
    Torsten Duwe <duwe@immd4.informatik.uni-erlangen.de>
    John A. Dundas III <dundas@salt.jpl.nasa.gov>
    Dennis Ferguson <dennis@mrbill.canet.ca>
    Glenn Hollinger <glenn@herald.usask.ca>
    Mike Iglesias <iglesias@uci.edu>
    Jim Jagielski <jim@jagubox.gsfc.nasa.gov>
    Jeff Johnson <jbj@chatham.usdesign.com>
    William L. Jones <jones@hermes.chpc.utexas.edu>
    Dave Katz <dkatz@cisco.com>
    Craig Leres <leres@ee.lbl.gov>
    George Lindholm <lindholm@ucs.ubc.ca>
    Louis A. Mamakos <louie@ni.umd.edu>
    Derek Mulcahy <derek@toybox.demon.co.uk>
    Damon Hart-Davis <d@hd.org>
    Lars H. Mathiesen <thorinn@diku.dk>
    David L. Mills <mills@udel.edu>
    Wolfgang Moeller <moeller@gwdgv1.dnet.gwdg.de>
    Jeffrey Mogul <mogul@pa.dec.com>
    Tom Moore <tmoore@fievel.daytonoh.ncr.com>
    Rainer Pruy <Rainer.Pruy@informatik.uni-erlangen.de>
    Dirce Richards <dirce@zk3.dec.com>
    Nick Sayer <mrapple@quack.kfu.com>
    Frank Kardel <Frank.Kardel@informatik.uni-erlangen.de>
    Ray Schnitzler <schnitz@unipress.com>
    Michael Shields <shields@tembel.org>
    Jeff Steinman <jss@pebbles.jpl.nasa.gov>
    Harlan Stenn <harlan@pfcs.com>
    Kenneth Stone <ken@sdd.hp.com>
    Ajit Thyagarajan <ajit@ee.udel.edu>
    Tomoaki TSURUOKA <tsuruoka@nc.fukuoka-u.ac.jp>
    Paul A Vixie <vixie@vix.com>
    Ulrich Windl <Ulrich.Windl@rz.uni-regensburg.de>

%prep
%setup -q -n ntp-%{version}
# unpack ntp-faq
tar -x -C html -j -f %{S:10}
%patch1
%patch4 -p1
# copy README.SUSE
cp %{S:12} .
tar xzf %{S:13} 
%patch9
%patch10 -p1
%patch11
%patch13
%patch15
%patch16
%patch18

%build
rm -rf acconfig.h
%{?suse_update_config}
autoreconf -fi
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -W -Wall -Wstrict-prototypes -Wpointer-arith -Wno-unused-parameter -fno-strict-aliasing -fstack-protector"
%ifarch alpha s390x
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -O0"
%endif
%ifarch ia64
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -ffast-math"
%endif
CFLAGS="$RPM_OPT_FLAGS -fPIE" LDFLAGS="-pie" ./configure \
	--with-binsubdir=bin \
	--bindir=%{_sbindir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--enable-parse-clocks \
	--enable-all-clocks \
	--enable-linuxcaps \
	--enable-ipv6 \
	--with-sntp \
	--enable-ntp-signd \
	--with-lineeditlibs=readline
make %{?_smp_mflags}

%install
%makeinstall
# Change permissions
chmod 644 html/pic/neoclock4x.gif
%fdupes -s html
#
# default configuration
#
%__install -d %{buildroot}/var/lib/ntp/{drift,etc,var/{lib,run/ntp},dev}
%__install -d %{buildroot}/var/run
ln -s ../.. %{buildroot}/var/lib/ntp/var/lib/ntp
ln -s ../lib/ntp/var/run/ntp %{buildroot}/var/run
%__install -m 644 -D %{S:1} %{buildroot}/etc/logrotate.d/ntp
%__install -m 600 -D %{S:2} %{buildroot}/etc/ntp.conf
%__install -m 600 -D %{S:2} %{buildroot}/var/lib/ntp/etc/ntp.conf.iburst
#
# boot scripts
#
%__install -D %{S:3} %{buildroot}/etc/init.d/ntp
%__install -d %{buildroot}/usr/sbin
ln -s ../../etc/init.d/ntp %{buildroot}/usr/sbin/rcntp
#
# fillup sysconfig.ntp
#
%__install -m 644 -D %{S:4} %{buildroot}/var/adm/fillup-templates/sysconfig.ntp
%__install -m 644 -D %{S:5} %{buildroot}/var/adm/fillup-templates/sysconfig.syslog-ntp
#
# install SLP reg file
#
%__install -m 644 -D %{S:6} %{buildroot}/etc/slp.reg.d/ntp.reg
#
# man pages
#
%__install -d %{buildroot}/%{_mandir}/man1
%__install -m 644 man/* %{buildroot}/%{_mandir}/man1
#
# firewall
#
%__install -d %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/
%__install -m 644 %{S:7} %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}
#
# Logfile
#
%__install -d %{buildroot}/var/log/
touch %{buildroot}/var/log/ntp
#
# service xml
#
install -d %{buildroot}/usr/share/omc/svcinfo.d/
install -m 644 %{S:14} %{buildroot}/usr/share/omc/svcinfo.d/
install -m 755 %{S:15} %{buildroot}/usr/sbin/
install -m 755 %{S:16} %{buildroot}/usr/sbin/

%clean
%__rm -rf %{buildroot}

%pre
/usr/sbin/groupadd -r ntp 2> /dev/null || :
/usr/sbin/useradd -r -o -g ntp -u 74 -s /bin/false -c "NTP daemon" -d /var/lib/ntp ntp 2> /dev/null || :
/usr/sbin/usermod -g ntp ntp 2>/dev/null || :
test -L /var/run/ntp  || rm -rf /var/run/ntp && :

%preun
%stop_on_removal ntp
# no update? Then remove these files that aren't owned by the package
if [ ${FIRST_ARG:-0} -eq 0 ]; then
     test -e /var/lib/ntp/drift/ntp.drift  && rm -f /var/lib/ntp/drift/ntp.drift
     rm -f /var/lib/ntp/etc/* 2>/dev/null
     test -e /var/log/ntp  && rm -f /var/log/ntp
fi

%post
# Create ntp.keys file
if [ ! -f /etc/ntp.keys ]; then
  tmp=$(dd if=/dev/urandom count=1 2>/dev/null | md5sum)
  tmp=${tmp:0:7} > /etc/ntp.keys
  echo "1 M $tmp" > /etc/ntp.keys
  chown root:ntp /etc/ntp.keys
  chmod 0640 /etc/ntp.keys
fi
# Are we in update mode?
if [ -f /etc/sysconfig/ntp ]; then
	grep -q '^keys /etc/ntp.keys' /etc/ntp.conf || {
        echo "#
# Authentication stuff
#
keys /etc/ntp.keys              # path for keys file
trustedkey 1                    # define trusted keys
requestkey 1                    # key (7) for accessing server variables
# controlkey 15                 # key (6) for accessing server variables
" >> /etc/ntp.conf
}
fi
# update from previous permissions
if [ -f /etc/ntp.conf ]; then
  chown --from=ntp:root root:ntp /etc/ntp.conf
fi
if [ -f /var/lib/ntp/etc/ntp.conf.iburst ]; then
  chown --from=ntp:root root:ntp /var/lib/ntp/etc/ntp.conf.iburst
fi
if /sbin/chkconfig -c ntpd 3 ; then
	%{insserv_force_if_yast ntp}
fi
%{fillup_only -n ntp }
%{fillup_only -n syslog }
if [ ! -f /var/log/ntp ]; then
	touch /var/log/ntp
	chmod 644 /var/log/ntp
fi

%postun
%restart_on_update ntp
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog NEWS README* TODO WHERE-TO-START conf 
%attr(0640,root,ntp) %config(noreplace) %{_sysconfdir}/ntp.conf
%dir %{_sysconfdir}/slp.reg.d
%{_sysconfdir}/init.d/ntp
%config(noreplace) %{_sysconfdir}/slp.reg.d/ntp.reg
%config %{_sysconfdir}/logrotate.d/ntp
%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/ntp
%{_sbindir}/*
/var/lib/ntp
%attr(0640,root,ntp) %config(noreplace) /var/lib/ntp/etc/ntp.conf.iburst
%attr(0755,ntp,ntp) %dir /var/lib/ntp/drift
%{_mandir}/man1/*
/var/adm/fillup-templates/*
%attr(0755,ntp,root) /var/lib/ntp/var/run/ntp
%ghost /var/run/ntp
%ghost %config(noreplace) /var/log/ntp
/usr/share/omc/svcinfo.d/ntp.xml

%files doc
%defattr(-,root,root)
%doc	html/*

%changelog
* Tue May 31 2011 varkoly@suse.de
- bnc#689070 - ntp post install script always removes /etc/sysconfig/ntp
- bnc#688529 - (ntp) ntpq and ntpdc command history broken
- bnc#682745 - ntpd does not start if a local dcf77 refclock is configured,
    preventing a successful system boot
- bnc#688132 - fix/improve init script
  * related to bugzilla 688132
  * "rcntp ntptimeset" could not parse servers from ntp.conf when IP proto
    was specified (server [-4|-6] hostname)
  * "rcntp ntptimeset" is now using ip proto parameter (-4|-6) if it's set in
    NTPD_OPTIONS and skip servers where the opposite proto is defined
- bnc#695598 - "Started sntp" in /var/log/messages
- The default timeout for sntp is to long. This can stop booting.
* Thu Feb  3 2011 mvidner@suse.cz
- updated the sntp syntax also in our ntpdate script (bnc#658255#c2)
* Tue Jan  4 2011 adrian@suse.de
- update to version 4.2.6p3
  * main feature, it really ! updates the time, old version was
    miscalculating the offset based on t21 and t34
* Tue Jan  4 2011 adrian@suse.de
- require $network startup before ntp. This is not enforced via
  $network_fs when no nfs and cifs is enabled
* Tue Dec 14 2010 ismail@namtrac.org
- bnc#657194 - compile with --enable-ntp-signd
* Mon Dec 13 2010 varkoly@novell.com
- bnc#658799 - ntp init script makes /proc readonly, blocking login
* Wed Dec  8 2010 varkoly@novell.com
- bnc#658255 - ntpd is not working and sntp complains about unknown options
* Tue Nov 30 2010 varkoly@novell.com
- update to 4.2.6p2
  * Major code clean up.
    1. The protostats statistics files have been very useful in exposing
    little twitches and turns when something hiccups, like a broken PPS
    signal. Most of what used to be syslog messages are now repackaged as
    protostats messages with optional syslog as well.
    2. Close inspection of the clock discipline behavior at long poll
    intervals (36 h) showed it not doing as well as it should.
    3. Autokey. The enhanced error checking was becoming a major pain. A way was found
    to toss out gobs of ugly fat code and replace the function with a much simpler
    and more comprehensive scheme.
    4. The interface code for the kernel PPS signal was not in sync with the
    kernel code itself. Some error checks were duplicated and some ineffective.
    5. The flake restrict bit turned out to be really interesting, especially
    with symmtric modes and of those especially those using Autokey.
  * Documentation updates
- New old feature: sync time on startup. If not needed NTPD_FORCE_SYNC_ON_STARTUP must
  be set to no in /etc/sysconfig/ntp
* Tue Sep 28 2010 aj@suse.de
- Handle /var/run as tmpfs
* Fri Apr 23 2010 varkoly@novell.com
- Set time by starting ntp via ntptimeset
* Fri Apr  9 2010 varkoly@novell.com
- rcntp timeset now gets the time via sntp inmediately
* Sun Mar 21 2010 novellbmw@lsmod.de
- fix read-only mount of proc in chroot
* Thu Mar 18 2010 varkoly@novell.com
- bnc#574885 - XEN is using many network interfaces and stopping and
  restarting XEN instances results in ntpd error "Cannot find existing
  interface for address ...".
* Wed Jan  6 2010 jengelh@medozas.de
- enable parallel build
* Wed Dec  9 2009 varkoly@suse.de
- update to ntp-4.2.4p8 to fix bnc#550316 - VUL-0: ntp DoS
- bnc#557716 - NTP PLL does not converge based on
  https://support.ntp.org/bugs/show_bug.cgi?id=1219
* Sat Nov 28 2009 seife@opensuse.org
- Also fix multiple mount on multiple "rcntp start" invocations
* Mon Aug 31 2009 tiwai@suse.de
- Really fix the multiple mount bug in ntp init script (bnc#517222)
* Mon Jul 20 2009 varkoly@suse.de
- bnc#517222 – Minor patch for ntp init-script
* Tue Jul 14 2009 aj@suse.de
- Add ntp-4.2.4p7-autoconf.patch to fix build failure.
* Fri Jul 10 2009 varkoly@suse.de
- bnc#515629 - NM_ONLINE_TIMEOUT does not work with parallel boot
- bnc#521044 - ntp init script: /etc/init.d/ntp: line 70: return: can
  only `return' from a function or sourced script
* Fri Jun 19 2009 varkoly@suse.de
- bnc#506908 - ntptrace doesn't work as non root user
- update to 4.2.4p7:
  * [Sec 1151] Remote exploit if autokey is enabled - CVE-2009-1252.
  * [Bug 1187] Update the copyright date.
  * [Bug 1191] ntpd fails on Win2000 - "Address already in use" after fix for [Sec 1149].
  * ntp.isc.org -> ntp.org cleanup.
  * [Bug 1178] Use prior FORCE_DNSRETRY behavior as needed at runtime,
  add configure --enable-ignore-dns-errors to be even more stubborn
  * [Bug 784] Make --enable-linuxcaps the default when available
  * [Bug 1179] error messages for -u/--user and -i lacking droproot
  * Updated JJY reference clock driver from Takao Abe
  * [Bug 1071] Log a message and exit before trying to use FD_SET with a
  descriptor larger than FD_SETSIZE, which will corrupt memory
  * On corruption of the iface list head in add_interface, log and exit
  * [Bug 1172] 4.2.4p7-RC{3,4} fail to build on linux.
  * flock-build script unportable 'set -m' use removed
  * [Bug 1167] use gcc -Winit-self only if it is understood
  * [Bug 787] Bug fixes for 64-bit time_t on Windows
  * [Bug 813] Conditional naming of Event
  * [Bug 1147] System errors should be logged to msyslog()
  * [Bug 1155] Fix compile problem on Windows with VS2005
  * [Bug 1156] lock_thread_to_processor() should be declared in header
  * [Bug 1157] quiet OpenSSL warnings, clean up configure.ac
  * [Bug 1158] support for aix6.1
  * [Bug 1160] MacOS X is like BSD regarding F_SETOWN
  * [Sec 1144] limited buffer overflow in ntpq.  CVE-2009-0159
  * [Sec 1149] use SO_EXCLUSIVEADDRUSE on Windows
  * [Bug 1131] UDP sockets should not use SIGPOLL on Solaris.
  * build system email address cleanup
  * [Bug 774] parsesolaris.c does not compile under the new Solaris
  * [Bug 873] Windows serial refclock proper TTY line discipline emulation
  * [Bug 1014] Enable building with VC9 (in Visual Studio 2008,
  Visual C++ 2008, or SDK)
  * [Bug 1117] Deferred interface binding under Windows works only correctly
  if FORCE_DNSRETRY is defined
  * [BUG 1124] Lock QueryPerformanceCounter() client threads to same CPU
  * DPRINTF macro made safer, always evaluates to a statement and will not
  misassociate an else which follows the macro.
* Wed May  6 2009 varkoly@suse.de
- bnc#468685 - ntpd causes 16 wakeups per second
* Wed Apr 29 2009 varkoly@suse.de
- bnc#492304 - ntpd man page refers to package xntp-doc (which does not exist)
- bnc#495496 – ntp misses prereq: /sbin/chkconfig
* Thu Jan  8 2009 varkoly@suse.de
- Fixed build errors with recent versions of openSSL.
- Fix incorrect check of EVP_VerifyFinal()'s return value.
  (bnc#459662 - VUL-0: ntp does not check return value of EVP_VerifyFinal)
* Fri Nov 14 2008 varkoly@suse.de
- (bnc#443228) - Successor of ntpdate (descriped in deprecation note) does not work
* Mon Nov 10 2008 varkoly@suse.de
- (bnc#443304) - netconfig: NTP server not set when using dhcpcd
* Fri Nov  7 2008 varkoly@suse.de
- (bnc#438630) - can't install from livecd - no ntp-server timeout
* Wed Oct 29 2008 varkoly@suse.de
- (bnc#439813) - autobuild does not run because time is appearently out of sync
* Fri Oct 24 2008 varkoly@suse.de
- Add ntp-wait script. This tests if the time is synchronized.
  Very important for time critical services like kerberos.
* Thu Oct 23 2008 varkoly@suse.de
- (bnc#437982) - /usr/sbin/ntpdate: line 27: shift: -1: shift count out of range
- (bnc#437968) - Typo and usability issue in deprecation output of ntpdate
* Fri Oct 17 2008 varkoly@suse.de
- clean up the sources to avoid a lot of compiler warnings
- fixing some unaligned accesses (bnc#430059)
* Mon Oct 13 2008 varkoly@suse.de
- (bnc#434529) - SLES11 Beta2: Firewall opens both TCP and UDP for ntp
- ntpdate is now a wrapper script around sntp. All parameters
  except for the time server will be ignored
* Wed Oct  8 2008 varkoly@suse.de
- Remove redundand patches
- Remove ntpdate because this is obsolete.
* Tue Oct  7 2008 schwab@suse.de
- Don't try to umount /proc.
- Fix error handling.
* Thu Oct  2 2008 varkoly@suse.de
- (bnc#431175) - ntpd hangs during init
* Fri Sep 26 2008 varkoly@suse.de
- (bnc#387236) - VUL-0: ntp complains about format/parity error
  for MD5 key 1, not used
  In the ntp 4.2.4p5  version this problem is solved.
  Only the 4.2.4-w32-time-authentification patch had caused it
  that that did not function.  Now we have droped this patch.
* Thu Sep 11 2008 varkoly@suse.de 
- (bnc#407804) - ntpd stalls boot process
* Tue Sep  9 2008 varkoly@suse.de
- (bnc#274833) - Cypress beta site would like to see NTP as a service to monitor under Health Monitor in NRM.
- update to 4.2.4p5 which
  * Month off by one in leap second message written to clockstats file fixed.
  * Built-in getpass() function also prompts for password if not built with DEBUG.
  * Fix memory leak when fetching system messages.
  * Wake up the resolver thread/process when a new interface has become available.
  * Correctly apply negative-sawtooth for oncore 12 channel receiver.
  * Startup code for original LinuxPPS removed.  LinuxPPS now conforms to the PPSAPI.
  * drop minimum time restriction for interface update interval.
  * Fix mismatching #ifdefs for builds without IPv6.
  * Update the copyright year.
  * Build system cleanup (make autogen-generated files writable).
  * nptdate timeout is too long if several servers are supplied.
  * ntpdate debug mode adjusts system clock when it shouldn't.
  * ntpdate(and ntptimeset) buffer overrun if HAVE_POLL_H isn't set
* Mon Sep  8 2008 varkoly@suse.de
- (bnc#423463) - 2 bugs found in ntpd init script
* Tue Jun 17 2008 varkoly@suse.de
- (bnc#398437) - ntp client has missing dependency to package timezone
- (bnc#397422) - ntp rpm throws an error when installing
* Mon May 26 2008 varkoly@suse.de
- (bnc#393305) – /etc/ntp.conf gets overwritten during an update
* Tue May 20 2008 varkoly@suse.de
- (bnc#388980) – "hang" on boot to runlevel 3
* Wed May 14 2008 anschneider@suse.de
- Create needed if-{up,down}.d symlinks during installation; [bnc#256291].
* Tue May  6 2008 coolo@suse.de
- Fix provides to get rename on distribution upgrade
* Tue Apr  1 2008 mt@suse.de
- Changed init script to avoid waiting for input on stdin
  when it trys to parse $NTP_KEYS file.
* Mon Mar 31 2008 schwab@suse.de
- Wait for ntpd to finish during ntptimeset.
* Wed Mar 26 2008 anschneider@suse.de
- Fix syntax errors in the init script.
* Tue Mar 25 2008 anschneider@suse.de
- Fix IPv6 support in chroot jail; [bnc#333525].
* Tue Mar 25 2008 anschneider@suse.de
- Fix broken init script; [bnc#365515];
* Tue Mar 25 2008 anschneider@suse.de
- Install SuSEfirewall2 service file into the right directory; [bnc#370482].
* Fri Mar 14 2008 aj@suse.de
- Make ntp.init LSB compliant.
- Fix permissions of image file.
- Use fdupes.
* Wed Mar 12 2008 schwab@suse.de
- Fix paren nesting.
* Tue Jan 22 2008 mskibbe@suse.de
- fix specfile
  o check for file before the file is removed
  o remove a "cut" error on some systems
  o fix provides conflict with openntp
- readd sysconfig varible NTPD_RUN_CHROOTED
- fix ifupdown script
* Wed Jan 16 2008 mskibbe@suse.de
- Fate #301836: NTP XML Service Description Document
* Mon Jan  7 2008 mskibbe@suse.de
- Bug 351059 - ntpd should not run with gid=0
* Mon Nov  5 2007 mskibbe@suse.de
- Bug 217032 - xntp rpm package name: eliminate x
- rename patches to a consistent layout ntp*.patch
* Thu Oct 18 2007 mskibbe@suse.de
- update to 2.4.4p4 which
  o Fix problems with the -6 flag.
  o Avoid ntpdc use of refid value as unterminated string.
  o Corrected display of pll offset on 64bit systems.
  o Corrected sign handling on 64bit in ntpdc loopinfo command.
  o avoid malloc() interrupted by SIGIO risk
  o cleanup shutdown while the file descriptor is still open.
  o use emalloc() to get a message at the end of the memory
  o don't access recv buffers after having them passed to the free list.
  o allow loopback interfaces to share addresses with other interfaces.
* Wed Aug 29 2007 mskibbe@suse.de
- Bug 283706 – ntpdate in the init script of ntp fails if the
  network interface is not active
- Bug 256291 - setting initial time and date via ntp and mounting
  of nfs shares with network manager fails
* Mon Jul  9 2007 mskibbe@suse.de
- update to 2.4.4p3 which
  o Broadcast address was not correctly set for interface addresses
  o reduce syslog noise, while there fix Enabled/Disable logging
    to reflect the actual configuration
  o Moved declaration of variable to top of function
  o Fix multicast client crypto authentication and make sure
    arriving multicast packets do not disturb the autokey dance
  o Don't write from source address length to wrong location
  o Upgraded autogen and libopts
  o ntpd should not read a .ntprc file
* Tue Jun  5 2007 mskibbe@suse.de
- file /var/log/ntp is not owned by any package (#280507)
* Mon Jun  4 2007 mskibbe@suse.de
- ntp pollutes the log on ia64 (#272938)
* Mon May 14 2007 mskibbe@suse.de
- readline support for ntp (#246428)
* Fri Apr 13 2007 mskibbe@suse.de
- "rcxntpd start" fails with "ntpd[8013]: crypto_setup: random seed
  file //.rnd not found" (#232512)
* Thu Mar 29 2007 rguenther@suse.de
- add pwdutils BuildRequires for postinstall script execution
* Thu Mar 22 2007 mskibbe@suse.de
- ntp patch broken/md5 keys unusable (#253635)
* Thu Mar  8 2007 mskibbe@suse.de
- ntpq man page is corrupt (#251136)
- xntp (server) - Ports for SuSEfirewall added via packages
  (#251672)
* Mon Mar  5 2007 schwab@suse.de
- Fix broken patch.
* Tue Feb 27 2007 mskibbe@suse.de
- update to version 4.2.4 which
  o update html help pages
  o sntp now uses the returned precision to control decimal places
  o Fix a lot of bugs
* Thu Jan 25 2007 mskibbe@suse.de
- ntpd pid file problems (#230273)
* Wed Jan 10 2007 mskibbe@suse.de
- W32Time authentication support in NTP (fate #300767)
* Wed Nov  8 2006 mskibbe@suse.de
- update to version 4.2.2p4 which
  o fix some bugs
* Thu Nov  2 2006 mskibbe@suse.de
- fix bug #207079 - NTP setup to start on boot fails everytime
* Tue Oct 17 2006 mskibbe@suse.de
- change init script and sysconfig file - it's now possible to
  synchronize time only if the service restart. (see Bug #211031)
* Mon Oct  9 2006 mskibbe@suse.de
- update to version 4.2.2p3 which
  o use the new format of the "send" emails
  o Change mode to -rwxrwxr-x
  o Clean up the ChangeLog generation
* Thu Aug 31 2006 mskibbe@suse.de
- fix bug #169052 - xntp: typo in man page
- fix bug #200178 - NTP error message at startup
* Tue Jul 25 2006 mskibbe@suse.de
- update to version 4.2.2p2 which
  o cleanup
  o fix some bugs
  o Resolve the ambiguity in the copyright file
  o fix for bug #158199 (ntpdate -q reports 0 offset on IPv6)
* Thu Jun 29 2006 jblunck@suse.de
- NetworkManager script: use start instead of try-restart (#188613).
* Tue Apr 18 2006 rml@suse.de
- NetworkManager ntp script: s/restart-iburst/try-restart-iburst/
  as the former is not a valid command.  Fixes Novell bug #163139.
* Thu Feb  2 2006 rml@suse.de
- Add NetworkManagerDispatcher script 'ntp' to automatically
  restart ntp whenever the network connection cycles
* Thu Jan 26 2006 hvogel@suse.de
- Use cp -L in chroot setup to always follow symbolic links
  [145169]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 hvogel@suse.de
- Make use of Stack Protector
* Fri Dec  2 2005 hvogel@suse.de
- update to snapshot 20050816
- fix some warnings
- better group handling
- fix local clock submission
- add manpages from redhat
* Mon Nov 21 2005 hvogel@suse.de
- add function to update the cmos clock before starting ntpd
  [#132918]
- clean up sysconfig file
* Sat Nov 12 2005 schwab@suse.de
- Add libcap-devel to nfb [#132236].
* Tue Nov  8 2005 dmueller@suse.de
- fix upgrading of xntp (fallout of ntp group change)
* Mon Nov  7 2005 hvogel@suse.de
- quote NTP_PARSE_DEVICE also
* Wed Oct 12 2005 hvogel@suse.de
- Add -fno-strict-aliasing
- create ntp group and use it [#127548]
- implement /dev/refclock-0 link workaround [#116701]
* Sun Sep 18 2005 kukuk@suse.de
- Add libcap-devel to nfb
* Thu Sep 15 2005 hvogel@suse.de
- fix typo in the init script usage message
* Thu Sep  8 2005 hvogel@suse.de
- pass the runlevel to the chkconfig test in post because we
  are in no runlevel during yast update and that resulted in the
  test always being false (no xntpd in runlevel "unknown")
  This fixes [#100413] for real.
* Thu Aug 25 2005 hvogel@suse.de
- Add the possibility to copy more files to the chroot. Needed for
  instance to use autokeys [#104873]
* Fri Aug  5 2005 ro@suse.de
- more work for update case: rename fillup vars from XNTPD to NTPD
- fix fillup calls
* Wed Aug  3 2005 mmj@suse.de
- make sure an enabled xntpd is also enabled after update if it was
  enabled before [#100413]
- old package will %%stop_on_removal for old name
* Wed Jul 13 2005 hvogel@suse.de
- rename most config files, init scripts and the like from xntpd to
  ntp to be in sync with other vendors/LSB
- simplify specfile and document it a bit
- always enable ipv6
- enable sntp
- make ntp.conf not world readable anymore. it may contain sensitive
  information
- remove the scripts from the package. they mostly dont work
* Thu Jun 30 2005 uli@suse.de
- build with -fPIE (not -fpie) to avoid GOT overflow on s390x
* Fri Jun 17 2005 hvogel@suse.de
- update to version 4.2.0a-20050303
- Compile with -fpie/-pie
* Tue May 17 2005 hvogel@suse.de
- fix option syntax in init script (Bug #83980)
* Thu Apr 28 2005 hvogel@suse.de
- enable ssl encryption (#81064)
* Thu Apr  7 2005 mmj@suse.de
- fix array decls to make gcc4 happy
* Mon Mar 14 2005 hvogel@suse.de
- change "running from init or not" detection to use INIT_VERSION
  instead of links = base. (Bug #71230)
* Thu Feb 10 2005 hvogel@suse.de
- Use group argument so ntpd runs as nogroup. (50684)
- Apply patch for so ntpd can also use groupnames. (50684)
* Wed Jan 26 2005 hvogel@suse.de
- fix segfault while trying to use a IPV6 address without a IPV6
  stack. Ignore the address instead. (Bug #47860)
* Thu Dec  9 2004 hvogel@suse.de
- we need try-restart-iburst not restart-iburst
* Wed Dec  8 2004 hvogel@suse.de
- add restart-iburst option to the init script so we can restart
  xntp from ip-up to prevent ntpd from loosing sync when the
  ip of an interface changes. (Bug #48654)
- use try-restart from skeleton
- simplify optflags usage
* Tue Nov 30 2004 hvogel@suse.de
- fix typo in the init script
- fix force-reload to use try-restart
- add monlist patch
* Tue Oct  5 2004 lmuelle@suse.de
- Use sbindir as prefix of ntpq in the ntptrace script, [#46861].
* Fri Sep 10 2004 mmj@suse.de
- It's +2 years ago something happened that would need our attten-
  tion when updating. So remove [#44352]
* Fri Sep 10 2004 pth@suse.de
- Fix documentation for ntptrace (#36636)
* Thu Aug  5 2004 pth@suse.de
- Update to the 20040617 snapshot.
- Don't pass '-u' to ntpdate in the init script (bug #41140)
- Fix code to not break strict aliasing.
* Tue Mar 30 2004 pth@suse.de
- Don't create temporary files in /tmp during post installation.
  Fixes #37435.
* Mon Mar 29 2004 mls@suse.de
- fix slp registration
* Thu Mar 11 2004 adrian@suse.de
- register ntpd via slp.reg.d file
* Tue Mar  9 2004 pth@suse.de
- Make syslog create a socket in ntpd's chroot jail so that
  ntpd can continue logging.
- Make configure option --enable-linuxcaps visible on linux hosts.
- pass --enable-linuxcaps to configure to enable running chroot.
* Fri Mar  5 2004 pth@suse.de
- Update to ntp 4.2.0a-20040225 as this version has support
  for running ntpd inside a chroot jail.
- Have syslog create an additional socket in the chroot jail.
- Remove patches obsoleted by the update :)
* Thu Feb 19 2004 kukuk@suse.de
- Cleanup neededforbuild
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Tue Sep  9 2003 pthomas@suse.de
- Don't include files possibly created at runtime, not even as ghost.
- On real uninstall remove files copied to the chroot by initscript
  and the log file.
- Also fixes 'rpm -V' output (#29596)
* Thu Sep  4 2003 pthomas@suse.de
- Fix segfault in ntpd on startup when a device can't be opened.
- Shorten the changelog a bit.
* Fri Aug 29 2003 pthomas@suse.de
- Fix options to tail and sort in example scripts. (#29652)
* Fri Aug 29 2003 kukuk@suse.de
- Call useradd -r to create system account [Bug #29611]
* Fri Aug 22 2003 pthomas@suse.de
- Fix configure.in,acinclude.m4 and Makefile.am  so that autoreconf can be
  run.
- Fix all cases of type-punning.
- Add -lcap where necessary.
- Fix bug in ntp-4.1.1-noroot.patch that made ntpd ignore an existing drift
  file instead of actually reading it (fixes bugzilla #27464).
* Thu Aug 21 2003 lmuelle@suse.de
- Add stop_on_removal and restart_on_update macros to preun and postun section
- Add XNTPD_RUN_CHROOTED to sysconfig file and init script
- Modify init script to setup chroot environment if needed
- Autoconvert ntp.conf in case of an old driftfile location
* Tue Aug 19 2003 mmj@suse.de
- Add sysconfig metadata [#28963]
* Wed Jul  2 2003 ma@suse.de
- Updated manpage (new home of the ntp project is at www.ntp.org).
* Tue May 20 2003 ma@suse.de
- Fixed manpages.
* Wed May 14 2003 mmj@suse.de
- %%ghost /var/log/ntp
* Thu May  1 2003 ma@suse.de
- rcxntpd script didn't handle leading blanks in /etc/ntp.conf (#19847)
* Tue Feb  4 2003 ma@suse.de
- ntp-4.1.1.broadcastclient.diff replaced by ntp1.bk.patch/ntp2.bk.patch.
  A more secure soloution, which will most probabely go into ntp-4.1.2.
* Wed Jan 29 2003 kukuk@suse.de
- Add sysconfig meta data [Bug #22705]
* Wed Jan 15 2003 ro@suse.de
- moved logrotate config here
* Wed Jan 15 2003 ma@suse.de
- Added ntp-4.1.1.broadcastclient.diff to enable broadcastclient mode,
  unless AUTOKEY is defined (which is off by default). Due to broken
  interface code, broadcastclient together with AUTOKEY does not work
  on Linux. [#22253]
* Tue Dec 10 2002 ihno@suse.de
- Corrected patch ntp-4.1.1-noroot.patch.
  removed : after x for optionlist [#21826]
* Mon Nov 11 2002 ma@suse.de
- fixed typo in /etc/sysconfig/xntp comment. (#21688)
* Mon Sep  9 2002 mmj@suse.de
- ntp.drift is moved, adjust specfile completely, and move it to
  the new place from /etc in case of update. [#19113]
* Wed Aug 28 2002 nashif@suse.de
- Added insserv, fillup to PreReq
* Fri Aug  9 2002 okir@suse.de
- added patch to make xntpd drop root privileges and chroot
- added XNTPD_OPTIONS to sysconfig file and rc script;
  set XNTPD_OPTIONS="-U ntp" initially
- added /var/lib/ntp owned by user ntp, and moved ntp.drift
  there.
* Tue Jun 25 2002 ro@suse.de
- fix directory permissions
* Mon May 27 2002 ma@suse.de
- Fixed segfault in ntpdate if no server suitable for
  synchronization found (#15589)
* Fri Apr  5 2002 ma@suse.de
- Overworked documentation in doc/packages/xntp (#15052)
* Sun Mar 10 2002 ma@suse.de
- Update to ntp-4.1.1 / NTP-FAQ-3.4
- SuSE specific files formerly created by SuSE-Config.diff are now
  shipped via ntp-4.1.1.SuSE-Config.tar.gz.
- Removed parts of ntpdate_overflow.diff, that are now included in the
  official source.
- Added new argument 'ntptimeset' to rcxntpd. If no ntpd is running,
  'rcxntpd ntptimeset' evaluates XNTPD_INITIAL_NTPDATE from
  /etc/sysconfig/xntp, and tries to set time and date via ntpdate, the
  same way as it is done at 'rcxntpd start'. But no ntpd is started.
  This might be usefull if the machine isn't permanently connected to
  the internet. "AUTO" value in XNTPD_INITIAL_NTPDATE requires parsing
  /etc/ntpd.conf, so 'ntpadte $XNTPD_INITIAL_NTPDATE' after dialup
  might not work.
- Added manual page to package xntpd, telling that documentation is
  available in HTML only, and located in package xntp-doc. (#14338)
* Mon Feb 11 2002 ma@suse.de
- Evaluation of XNTPD_INITIAL_NTPDATE from /etc/sysconfig/xntp was
  changed. A space-separated list of ntp servers to query for current
  time and date before the local xntpd is started, is still supported.
  Furthermore you may now set XNTPD_INITIAL_NTPDATE="AUTO", to query
  ALL servers and peers configured in /etc/ntpd.conf.
  You may as well restrict the total number of servers to be queried
  at startup by setting XNTPD_INITIAL_NTPDATE="AUTO-{NUMBER}".
  The new default value for XNTPD_INITIAL_NTPDATE is "AUTO-2", which
  will query only the first two servers listed in /etc/ntpd.conf.
* Mon Jan  7 2002 ma@suse.de
- Fixed example scripts referencing nslookup in wrong path (#12667)
- Fillup template renamed to sysconfig.xntp. Let init script source
  /etc/sysconfig/xntp instead of /etc/rc.config. (#12748)
* Mon Dec 17 2001 ma@suse.de
- ntpdate_overflow.diff: Brute force patch to handle condition where
  systemtime is more than MAX_INT32 seconds in the past. Due to the
  limited range of an INT32, the computed offset is negative, although
  systemtime is in the past. In this situation the measured offset
  must be interpreted as UNSIGNED_INT32, and the systemtime has to be
  adjusted in two steps, as we can't step more than MAX_INT32 seconds
  at once.
  Need for this patch arises on newer macs, which reset the time to
  1904 after a hard crash or when the powerbook battery was off for
  a while.(#12620)
* Fri Dec 14 2001 ro@suse.de
- removed START_XNTPD
* Thu Dec 13 2001 ma@suse.de
- ntpdate_overflow.diff: ntpdate failed, if systemtime is a long way off.
  I.e. more than MAX_INT32 seconds (presently before Nov 1933) or closer
  to this limit than to the actual time. In both cases ntpdate tried to
  adjust the time to Nov 1933. This succeeded for systemtimes before
  Nov 1933 and failed if ntpdate tried to set the time back.
  The patch does not enable ntpdate to set the correct date, if the
  systemtime is before the limit, but ntpdate will report an error and
  fail, instead of setting the systemtime to Nov 1933. Any systemtime
  after this limit will be set correctly. (#12620)
* Fri Sep 21 2001 ma@suse.de
- NTP-FAQ in xntp-doc updated to NTP-FAQ-3.2.
* Wed Aug 22 2001 ma@suse.de
- Removed the glibc22.patch (sparc/s390 only). Better fix configure,
  than trying to patch config.h afterwards :(
* Wed Aug 22 2001 ma@suse.de
- Update to ntp-4.1.0
  The latest NTPv4 'ntpdc' does not work with previous versions of ntpd
  and previous versions of 'ntpdc' do not work with latest ntpd. This
  situation is regrettable and may be fixed in future; however, it is
  necessary in order for the autokey function to retrieve canonical
  names and certificates from directory services such as Secure DNS.
  The standard NTP query program 'ntpq' is not affected by this.
- Previously applied bugfix/security patches are obsolete.
- ntpdate called from /etc/init.d/xntpd now uses an unprivileged port
  for outgoing packets. Might be we have to synchronise with hosts beyond
  a firewall, that that blocks incoming traffic to privileged ports.
- /etc/init.d/xntpd is now LSB compliant (#9114)
- Subpackage xntpdoc was renamed to xntp-doc.
- NTP-FAQ in xntp-doc updated to NTP-FAQ-3.1.
* Thu Jun 14 2001 bk@suse.de
- remove lx_sus22 from neededforbuild, not on s390x and obsolete
* Tue Jun 12 2001 bk@suse.de
- enable sparc and alpha changes on s390x too
* Tue Apr 17 2001 kukuk@suse.de
- Remove extra version from sub-package
* Fri Apr  6 2001 uli@suse.de
- fixed to build
* Thu Apr  5 2001 draht@suse.de
- fix last change because the patch against ntpd/ntp_control.c that
  I supplied was wrong.
* Thu Apr  5 2001 ma@suse.de
- incorporated sparc patches (Tue Feb 13-kukuk@suse.de):
  Add some ugly hacks to work on SPARC
- incorporated alpha patches (Wed Feb 28-sf@suse.de):
  compiling with -O0 on Alpha
- added root-hole patch to fix possible exploit in ntpd/ntp_control.c
* Thu Jan  4 2001 pthomas@suse.de
- Add missing period to README.SuSE and clarify it a bit.
* Mon Dec  4 2000 ma@suse.de
- update to NTP-FAQ-2.5
* Tue Nov 28 2000 ro@suse.de
- startscript fixed
* Mon Jul 10 2000 ma@suse.de
- update to NTP-FAQ-2.1
* Tue Apr  4 2000 ro@suse.de
- added suse_update_config macro
* Wed Mar  8 2000 ma@suse.de
- update to NTP-FAQ-1.7
* Sun Feb 27 2000 ro@suse.de
- renamed subpackage xntp-doc to xntpdoc
* Fri Feb 25 2000 ma@suse.de
- update to 4.0.99f
- Html documentation and NTP-FAQ have been moved into a separate
  package: xntp-doc
* Mon Nov  8 1999 ma@suse.de
- update to 4.0.98d
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Wed Jul 14 1999 bs@suse.de
- call Check
* Wed Jul 14 1999 ma@suse.de
- added some hints for radio clocks in ntp.conf
* Wed Jul  7 1999 ma@suse.de
- update to ntp-4.0.93a
- still need to work on some scripts
- ntptime was removed from package; currently not supported
  under Linux
* Wed Mar 31 1999 ma@suse.de
- update to ntp-4.0.92c
* Fri Mar 26 1999 ro@suse.de
- fixed spec-naming
* Wed Mar 24 1999 ma@suse.de
- update to 3.5.93e
- ntptime now builds on glibc
- Additional patch from Ulrich Windl for DCF77 receiver
* Thu Jan 14 1999 ma@suse.de
- All references to '/lobal/bin/perl' below
  scripts/ changed to '/usr/bin/perl'.
* Thu Dec 10 1998 ma@suse.de
- 2 new variables for rc.config:
    [#]
    [#] Usually it's a good idea to get the current time and date
    [#] from some other ntp server, before xntpd is started.
    [#] If we should do so, provide a space-separated list of
    [#] ntp servers to query.
    [#]
    XNTPD_INITIAL_NTPDATE=""
    [#]
    [#] This allows you to alter the kernel TICK variable.
    [#]
    [#] WARNING: YOU MUST NOT CHANGE THIS VARIABLE!
    [#]
    [#] Believe me, it won't help to solve any problem you have
    [#] if you set it. On the contrary, you will run into trouble!
    [#]
    [#] It's just here for those few, who know why they do not
    [#] believe me ;)
    [#]
    XNTPD_KERNEL_TICK=""
- updated rc-script
* Mon Dec  7 1998 ro@suse.de
- updated rc-script
- pack ntptime for libc5
* Tue Oct  6 1998 ro@suse.de
- ntptime does not get built on glibc
* Thu Sep 17 1998 ro@suse.de
- ntp_machine.h: GLIBC has sys/stropts.h but not sys/streams.h !
* Tue Jul 21 1998 ma@suse.de
- Win and NT documentation removed
* Fri Jun 26 1998 ma@suse.de
- update to 3.5.93c
- changed /sbin/init.d/xntp: reload/restart option.
- added symlink /usr/sbin/rcxntpd -> ../../sbin/init.d/xntpd
- changed /etc/ntp.conf: more comments+examples; default loging
  to /var/log/ntp
- specfile & build:
  - using 'BuildRoot: /tmp/xntp'
  - Makefile.Linux removed
  - using dir conf.SuSE in source tree for scripts provided
    by S.u.S.E. (default ntp.conf, init.d/xntpd, fillup-templates..)
  - added /etc/drift and /var/log/ntp as %%ghost
* Wed Jun 10 1998 ma@suse.de
- Makefile.Linux: configure option --enable-step-slew removed.
  step-slew quite often seems to prevent xntpd from adjusting
  the system time correctly.
* Tue Mar  3 1998 florian@suse.de
- update to 3-5.92
* Mon Nov 24 1997 ro@suse.de
- changed /local/bin/perl to /usr/bin/perl in scripts/monitoring
  and in scripts/support/bin/monl
* Wed Nov 19 1997 florian@suse.de
- move html-docu into subdirectory and add some support scripts
* Mon Oct 27 1997 florian@suse.de
- update to version 3-5.91
- change some HAVE_TERMIOS to HAVE_TERMIOS_H
* Wed Jun 25 1997 florian@suse.de
- update to version 3-5.90.2
* Sun Jun  1 1997 bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Sun Feb  2 1997 florian@suse.de
- update to new version 3.5-89
- better config files
* Thu Jan  2 1997 florian@suse.de
- update to version 3-5.86.12.2
- slightly better config file
* Thu Jan  2 1997 florian@suse.de
- update to new version 3-5.86.9
- add RAWDCF support
* Thu Jan  2 1997 bs@suse.de
- fillup added
- /sbin/init.d start-scripts
